Subject: Re: bug#51002: 28.0.50; [feature/pgtk] Some keypad keys handled as normal keys with pgtk

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 12 Sep 2022 12:28:07 +0200

Tom Hughes <[email-masked]> writes:

> With pgtk some keypad keys seem to be recognised as their normal
> equivalents rather than the keypad versions.
>
> Enter, insert, delete and the navigation keys all seem to work as
> expected and are recognised as kp-enter etc.
>
> The number keys (when numlock is on) and /, (, - and + and just
> recognised as normal keys from the main keyboard rather than as
> kp-subtract etc.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I think I remember seeing a similar bug report, and if I remember
correctly, this should now be fixed on the current "master" branch.
(But I may well misremember.)  Would it be possible for you to check?